#
# spec file for package nfs-server (Version 2.2beta51)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org
#

# norootforbuild
# neededforbuild  tcpd

BuildRequires: aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libselinux libstdc++ libxcrypt m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch permissions popt procinfo procps psmisc pwdutils rcs readline sed strace syslogd sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils gcc gdbm gettext libtool perl rpm tcpd-devel

Name:         nfs-server
License:      GPL
Group:        Productivity/Networking/NFS
Provides:     nfsserv nkita:/usr/sbin/rpc.nfsd
Obsoletes:    nfsserv
Requires:     portmap
PreReq:       %insserv_prereq %fillup_prereq
Conflicts:    nfs-utils
Autoreqprov:  on
Version:      2.2beta51
Release:      206.4
Summary:      Userspace NFS server daemons
URL:          ftp://linux.mathematik.tu-darmstadt.de/pub/linux/people/okir
Source:       %{name}-2.2beta47.tar.bz2
Source1:      nfsserver.init
Source2:      sysconfig.nfs-nfs-server
Source3:      rpc.ugidd.init
Patch0:       %{name}-2.2b47-2.2b51.patch
Patch1:       %{name}-%{version}-destdir.patch
Patch2:       %{name}-%{version}-manpages.patch
Patch3:       %{name}-%{version}-strsignal.patch
Patch4:       %{name}-%{version}-sys-time.patch
Patch5:       %{name}-%{version}-reiserfs.patch
Patch6:       %{name}-%{version}-map.patch
Patch7:       %{name}-%{version}-configure.patch
Patch8:       %{name}-%{version}-multirw.patch
Patch9:       %{name}-%{version}-realpath.patch
Patch10:      %{name}-%{version}-nostrip.patch
Patch11:      %{name}-%{version}-mntpathlen.patch
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
The NFS server daemons are needed when you wish to export directories
on your machine to other hosts via the NFS protocol.

There are 2 NFS Server: the userspace NFS server and the kernel NFS
server. This package contains the userspace NFS server. The utilities
for the kernel NFS server can be found in the "nfs-utils" package.

For quota over NFS support please install the "quota" package.



Authors:
--------
    Olaf Kirch <okir@caldera.de>

%prep
%setup -q -n %{name}-2.2beta47
%patch0 -p1
%patch1
%patch2
%patch3
%patch4
%patch5
%patch6
%patch7
%patch8
%patch9
%patch10
%patch11
# Remove pregenerated xdr functions. They use long
# instead of u32, which produces incorrect code on
# 64 bit architectures
rm -f *_xdr.c

%build
%{suse_update_config -f}
autoconf
CFLAGS="$RPM_OPT_FLAGS" ./configure \
	--enable-ugid-dynamic \
	--enable-ugid-nis \
	--enable-host-access \
	--with-exports-uid=0 \
	--with-exports-gid=0 \
	--enable-mount-logging \
	--with-devtab=/var/lib/nfs/devtab
# obsolete    --rquotad=no  (not built anyway)
# obsolete    --libwrap-directory=/usr/lib
# obsolete    --multi
make

%install
[ -d %{buildroot} -a "%{buildroot}" != "" ] && rm -rf  %{buildroot}
make DESTDIR=$RPM_BUILD_ROOT install
mkdir -p $RPM_BUILD_ROOT/var/lib/nfs
install -d $RPM_BUILD_ROOT/var/adm/fillup-templates
install -m 644 %{S:2} $RPM_BUILD_ROOT/var/adm/fillup-templates/
install -d $RPM_BUILD_ROOT/etc/init.d
install -m 744 %{S:1} $RPM_BUILD_ROOT/etc/init.d/nfsserver
install -m 744 %{S:3} $RPM_BUILD_ROOT/etc/init.d/ugidd
ln -sf ../../etc/init.d/nfsserver $RPM_BUILD_ROOT/usr/sbin/rcnfsserver
ln -sf ../../etc/init.d/ugidd $RPM_BUILD_ROOT/usr/sbin/rcugidd

%post
%{fillup_and_insserv -s nfsserver NFS_SERVER ugidd START_UGIDD}
%{fillup_only -an nfs}

%preun
%{stop_on_removal ugidd nfsserver}

%postun
%{restart_on_update ugidd nfsserver}
%{insserv_cleanup}

%clean
[ -d %{buildroot} -a "%{buildroot}" != "" ] && rm -rf  %{buildroot}

%files
%defattr(-,root,root)
%doc BUGS COPYING ChangeLog HALL_OF_FAME NEWS README README.HISTORIC TODO
%doc %{_mandir}/man?/*
/var/lib/nfs
/usr/sbin/*
%config /etc/init.d/*
/var/adm/fillup-templates/sysconfig.nfs-nfs-server

%changelog -n nfs-server
* Wed Jan 18 2006 - postadal@suse.cz
- do not strip on install (nostrip.patch)
- fixed realpath() overflow problem
  [#142824] (CVE-2006-0043, mntpathlen.patch)
- use realpath from glibc if present (realpath.patch)
* Wed Mar 31 2004 - okir@suse.de
- Make sure we run rpcgen to recreate the xdr files. The included
  files are not 64bit clean (#37188)
* Sat Jan 10 2004 - adrian@suse.de
- add %%defattr
* Fri Aug 22 2003 - postadal@suse.cz
- modified init script
- added sysconfig metadata [#28907]
- use new stop_on_removal/restart_on_upate macros
* Fri Jan 03 2003 - postadal@suse.cz
- added metadata in sysconfig template
* Mon Nov 11 2002 - ro@suse.de
- re-enable rw on multiple servers
* Fri Nov 08 2002 - ro@suse.de
- update to beta51 (using differential patch from 47 to 51)
- unfsd-reiserfs-4.patch redone as nfs-server-2.2beta51-reiserfs.patch
- original nfs-server-2.2beta47.dif split up into pieces:
-destdir,-manpages,-strsignal,-sys-time
- map.dif re-diffed as nfs-server-2.2beta51-map.patch
- FHS.dif no longer needed, handled by configure
- fifo.patch already in -51 update patch
- fixed conflicts: nfsutils is now nfs-utils
* Thu Nov 07 2002 - okir@suse.de
- fixed mkfifo for Linux clients less than 2 years old
* Tue Sep 24 2002 - postadal@suse.cz
- ypbind moved from Required Start to United-Linux-Should-Start [#20061]
* Wed Jul 31 2002 - postadal@suse.cz
- used X-UnitedLinux-Should-Start nfsserver for rcugidd (bug #16424)
- used PreReq: %%insserv_prereq %%fillup_prereq
* Sat Jul 27 2002 - adrian@suse.de
- do not source rc.config anymore
* Mon Feb 25 2002 - postadal@suse.cz
- modified copyright in /etc/init.d/nfsserver & /etc/init.d/ugidd
* Wed Feb 06 2002 - ro@suse.de
- moved to sysconfig/nfs
* Fri Jan 18 2002 - ro@suse.de
- changed initscript comments
* Thu Dec 13 2001 - ro@suse.de
- moved rc.config.d -> sysconfig
* Mon Dec 10 2001 - cihlar@suse.cz
- removed START variables
* Mon Sep 17 2001 - cihlar@suse.cz
- changed /var/state/nfs -> /var/lib/nfs [#8678]
* Thu Aug 09 2001 - cihlar@suse.cz
- added rc_status also to others part of init script
* Tue Jul 31 2001 - kukuk@suse.de
- Fix path to init script in init script header [Bug #9494]
* Thu Jun 28 2001 - cihlar@suse.cz
- added rc_status to start and stop
* Fri Apr 13 2001 - cihlar@suse.cz
- fixed init scripts by new skeleton (try-restart)
* Thu Apr 12 2001 - cihlar@suse.cz
- fixed init scripts by new skeleton
* Thu Apr 12 2001 - cihlar@suse.cz
- removed call of aclocal
* Tue Mar 27 2001 - cihlar@suse.cz
- enable mapping for each share
* Thu Mar 22 2001 - ro@suse.de
- added split-aliases as provides
* Wed Feb 21 2001 - ro@suse.de
- renamed source rcp.ugidd.init to rpc.ugidd.init
- marked as souce in spec and use source-macro to install
- added missing insserv-call for ugidd
* Wed Feb 21 2001 - cihlar@suse.cz
- added BuildRoot
- added suse_update_config
- bzipped sources
- created rcugidd [#4858]
* Tue Feb 06 2001 - ro@suse.de
- fix time.h inclusion
* Fri Jan 12 2001 - kukuk@suse.de
- mark init.d script as config file
* Fri Jan 12 2001 - ro@suse.de
- fixed conflicts: nfsutils (#5548)
* Wed Nov 29 2000 - smid@suse.cz
- renamed: nfsserv => nfs-server
* Tue Nov 28 2000 - ro@suse.de
- fixed startscript
* Mon Sep 25 2000 - kukuk@suse.de
- Fix typo in rcnfsserv script [BUG #3909]
* Fri Jun 23 2000 - kukuk@suse.de
- Remove comments about "numcopies" from nfsd manual page (Bug/2945)
* Fri Jun 23 2000 - kukuk@suse.de
- Add reiserfs patch from Andi Kleen
* Tue Apr 18 2000 - kukuk@suse.de
- Fix rcnfsserver link
* Fri Apr 14 2000 - kukuk@suse.de
- Add rc.config entries and start script from aaa_base
- Add tcpd to need for build
- Add conflict to knfsd
- requires portmap
* Tue Feb 22 2000 - kukuk@suse.de
- fill out Group and Copyright tag.
* Fri Feb 04 2000 - kukuk@suse.de
- Move /usr/man -> /usr/share/man
* Thu Nov 11 1999 - kukuk@suse.de
- Security update to version 2.2beta47
* Sat Oct 16 1999 - kukuk@suse.de
- Add Debian patches
- Update to version 2.2beta46
* Thu Oct 14 1999 - kukuk@suse.de
- Moved from nkita to here.
